/* Estilos gerais */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Arial', sans-serif;
}
html {
  scroll-behavior: smooth;
}

/* Fallback para navegadores mais antigos */
@media screen and (prefers-reduced-motion: reduce) {
  html {
    scroll-behavior: auto;
  }
}
header {
    width: 100%;
    background-color: #fff;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    position: fixed;
    top: 0;
    z-index: 1000;
}

.menu {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 2rem;
    max-width: 1200px;
    margin: 0 auto;
}

.nav-list {
    display: flex;
    list-style: none;
    gap: 2rem;
}

.nav-link {
    color: purple;
    text-decoration: none;
    font-weight: 500;
    font-size: 1rem;
    transition: color 0.3s;
    text-transform: uppercase;
    display: inline-block;
    padding: 15px;
}

.nav-link:hover {
    color: white;
    background-color: #d91374;
}
.nav-link.whatsapp {
  color: #25D366;
  font-weight: bold;
}
.nav-link.whatsapp:hover {
    color: white;
    background-color: #d91374;
}

/* Menu mobile */
.mobile-menu {
    display: none;
    cursor: pointer;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 21px;
}

.mobile-menu div {
    width: 100%;
    height: 3px;
    background-color: #333;
    border-radius: 10px;
    transition: all 0.3s;
}

/* Efeito Parallax */
.parallax {
  /* Defina uma imagem de fundo - substitua pela sua imagem */
  background-image: url('../imagens/bg-banner3.jpg');
  min-height: 500px;
   /* Efeito parallax */
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  
  /* Centralização perfeita do conteúdo */
  display: flex;
  align-items: center;
  justify-content: center;
  
  /* Espaçamento para evitar que o conteúdo encoste nas bordas */
  padding: 2rem;
  box-sizing: border-box;
}

/* Container do conteúdo */
.px-container {
  max-width: 800px;
  width: 100%;
  text-align: center;
}

/* Estilos do texto */
.parallax h1 {
  font-size: 3rem;
  margin-bottom: 1rem;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

.parallax h3 {
  font-size: 1.5rem;
  margin-bottom: 2rem;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
}

.container{
  width: 100%;
  max-width: 1150px;
  margin: 0 auto;
  padding: 10px;
}
.bg-roxo{
  width: 100%;
  background-color: #611952;
  padding-bottom: 30px;
  color: #fff;
}
.bg-rosa{
  width: 100%;
  background-color: #d91374;
  padding-bottom: 30px;
  color: #fff;
}

.row{
  width: 100%;
  display: flex;
  margin-top: 30px;
  justify-content: space-around;
  align-items: center;
  flex-wrap: wrap;
}
.col-p{
  width: 24%;
  min-width: 270px;
}
.col-m{
  width: 30%;
  min-width: 350px;
}
.col-g{
  width: 48%;
  min-width: 350px;
}
.col-gg{
  width: 68%;
  min-width: 350px;
}

.row-icon{
  width: 100%;
  display: flex;
  margin-top: 10px;
  justify-content: space-between;
  align-items: center;
  flex-wrap: nowrap;
}
.row-icon i {
  background-color:#d91374;
  color: #fff;
  width: 56px;
  display: block;
  font-size: 30px;
  text-align: center;
  padding: 10px;
  border-radius: 50%;
}
.col-icon1 {
  padding: 10px;
}
.col-icon2 {
  text-align: left;
  width: 100%;
}

.card{
  border: solid 1px #611952;
  border-radius: 15px;
  overflow: hidden;
  margin-top: 10px;
  padding-bottom: 10px;
}
.card-header{
  background-color: #611952;
  padding-bottom: 10px;
}
.card-header i{
  color: #fff;
  margin-top: 10px;
  font-size: 50px;
}
.card-price{
  background-color: #d91374;
  padding-bottom: 10px;
  color: #fff;
}

.social{
  width: 50%;
  display: flex;
  justify-content: center;
  gap: 20px;
  margin: 10px auto;
}
.btn-icon{
  color: #fff;
  font-size: 20px;
}
.btn-icon:hover{
  color: #d91374;
  font-size: 20px;

}

.footer-copyright{
  text-align: center;
  color: #CCCCCC;
  font-size: 12px;
  padding: 5px;
}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.6); /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
  background-color: #fefefe;
  margin: 150px auto; /* 15% from the top and centered */
  padding:10px 20px;
  border: 1px solid #888;
  width: 80%; /* Could be more or less, depending on screen size */
  max-width: 1150px;
}
.modal-box{
  width: 100%;
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
  margin-top: 20px;
}
.box-content{
  width: 100%;
  max-width: 350px;
}

/* The Close Button */
.close {
  color: #611952;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #d91374;
  text-decoration: none;
  cursor: pointer;
}

.form{
  background-color:#611952;
  padding: 10px;
  border-radius: 10px;
  width: 100%;
}
.form-row{
  width: 100%;
  display: flex;
  justify-content: space-between;
}
.form-col1{
  width: 100%;
  padding: 20px 10px;
}
.form-col2{
  width: 50%;
  padding: 10px 10px;
}
.form-col3{
  width: 70%;
  padding: 10px 10px;
}
.form-col4{
  width: 30%;
  padding: 10px 10px;
}
.form-label{
  display: block;
  margin-bottom: 4px;
  color: #fff;
}
.form-control{
  width: 100%;
  font-size: 16px;
  border-radius: 6px;
  border: 1px solid #d91374;
  padding: 5px;
  color: #611952;
  box-sizing: border-box;
}


/* Responsividade */
@media (max-width: 768px) {
    .menu {
        padding: 1rem;
    }
    
    .nav-list {
        position: absolute;
        top: 95px;
        left: 0;
        width: 100%;
        background-color: purple;
        flex-direction: column;
        align-items: center;
        padding: 2rem 0;
        gap: 1.5rem;
        box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
        transform: translateY(-150%);
        transition: transform 0.3s ease-in-out;
    }
    
    .nav-list.active {
        transform: translateY(0);
    }
    .nav-link{
      color: white;
    }
    
    .mobile-menu {
        display: flex;
    }

    .parallax {
    min-height: 60vh; /* Ajuste para mobile */
  }
  
  .parallax h1 {
    font-size: 2rem;
  }
  
  .parallax h3 {
    font-size: 1.2rem;
  }
  
  .btn-roxo {
    padding: 10px 25px;
  }
  .col-p{min-width: 95%;}
}

/* Animação do ícone do menu mobile */
.mobile-menu.active .line1 {
    transform: rotate(-45deg) translate(-6px, 6px);
}

.mobile-menu.active .line2 {
    opacity: 0;
}

.mobile-menu.active .line3 {
    transform: rotate(45deg) translate(-6px, -6px);
}